v3.0: Use debian:jessie instead of ruby:2.1
authorvarac <varacanero@zeromail.org>
Thu, 13 Oct 2016 21:29:00 +0000 (23:29 +0200)
committervarac <varacanero@zeromail.org>
Thu, 13 Oct 2016 21:29:00 +0000 (23:29 +0200)
docker/ruby/Dockerfile

index 0f8d621..c183d2c 100644 (file)
@@ -1,17 +1,34 @@
-# start with a fresh official ruby image
-# https://hub.docker.com/_/ruby/
-FROM ruby:2.1-slim
+FROM debian:jessie
 
 MAINTAINER LEAP Encryption Access Project <info@leap.se>
 
 MAINTAINER LEAP Encryption Access Project <info@leap.se>
-LABEL Description="Ruby 2.1 including sudo and build tools to build leap_cli etc" Vendor="LEAP" Version="1.0"
-
-# for unknown reason, "rake install" fails in docker, even if the userid is 0
-# so we need to install sudo to use "sudo rake install"
-RUN sed -i 's/httpredir/deb/' /etc/apt/sources.list
-RUN apt-get update
-RUN apt-get -y install sudo
+LABEL Description="Ruby 2.1 build tools to build leap_cli etc" Vendor="LEAP" Version="3.x"
 
 # install leap_cli prerequisites, see https://0xacab.org/leap/leap_cli
 # and tools needed for ci (moreutils and expect)
 
 # install leap_cli prerequisites, see https://0xacab.org/leap/leap_cli
 # and tools needed for ci (moreutils and expect)
-RUN apt-get -y install git ruby ruby-dev rsync openssh-client openssl rake gcc make zlib1g-dev moreutils expect
+RUN sed -i 's/httpredir/deb/' /etc/apt/sources.list
+RUN apt-get update \
+  && apt-get install -y --no-install-recommends \
+    git \
+    ruby \
+    ruby-dev \
+    rsync \
+    openssh-client \
+    openssl \
+    rake \
+    gcc \
+    make \
+    sudo \
+    zlib1g-dev \
+    moreutils \
+    tcl \
+    expect \
+    locales \
+      && apt-get clean \
+      && rm -rf /var/lib/apt/lists/*
+
+RUN localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8
+ENV LANG en_US.utf8
+
+RUN echo '---\n:sources:\n  - https://rubygems.org/\ninstall: --no-document\nupdate: --no-document\n' > /etc/gemrc
 
 
+RUN gem install bundler